#include "cabtypes.h"

struct cabheader
{
	byte sig[4];			
	dword res1;				
	dword size;			
	dword res2;				
	dword offsetfiles;		
	dword res3;				
	byte versionMIN;	
	byte versionMAJ;		
	word nfolders;			
	word nfiles;			
	word flags;				
	word setID;			
	word cabID;				
};

struct cabfolder
{
	dword offsetdata;		
	word ndatab;			
	word typecomp;			
};

struct cabfile
{
	dword usize;			
	dword uoffset;			
	word index;				
	word date;				
	word time;				
	word fattr;				
	byte name[MAXFILENAME];		
};

struct cabdata
{
	dword checksum;			
	word ncbytes;			
	word nubytes;			
};