#include "cabstruct.h" 

// initialize the cabdata-structure
// set checksum for datablock
// checksums are computed at a later time and added then
struct cabdata cabdata_init(struct cabdata cd,
			    int checksum) 
{ 
	cd.checksum=checksum; 
	return cd;
}

// set number of compressed bytes in datablock
struct cabdata cabdata_ncbytes(struct cabdata cd, 
			       int ncb)
{ 
	cd.ncbytes=ncb; 
	return cd; 
}

// set number of uncompressed bytes in datablock
struct cabdata cabdata_nubytes(struct cabdata cd, 
			       int nub) 
{
	cd.nubytes=nub; 
	return cd; 
}


